#
# Conditional build:
%bcond_with	tests		# build with tests
#
# TODO:
# - runtime Requires if any

%define		kdeframever	6.13
%define		qtver		5.15.2
%define		kfname		kstatusnotifieritem
Summary:	Status notifier item
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	c8475b31a270bd47a8f10e4d383af7d6
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	catdoc
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kstatus notifier item.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}6 --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKF6StatusNotifierItem.so.*.*
%ghost %{_libdir}/libKF6StatusNotifierItem.so.6
%{_datadir}/dbus-1/interfaces/kf6_org.kde.StatusNotifierItem.xml
%{_datadir}/dbus-1/interfaces/kf6_org.kde.StatusNotifierWatcher.xml
%{_datadir}/qlogging-categories6/kstatusnotifieritem.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KStatusNotifierItem
%{_libdir}/cmake/KF6StatusNotifierItem
%{_libdir}/libKF6StatusNotifierItem.so
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kstatusnotifieritem.git;a=log;h=master

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0b56549
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 66e316b
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dac2531
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8143fe0
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8ec9813
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d91b637
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e227ca9
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 62a6e6c
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 945782e
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5f57cf9
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5ae23c0
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 67b4034
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f6eef54
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5b0f73f
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 64bd7a7
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a3b9e45
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 329c0f2
- updated to 5.249.0; rel 0.1

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 71b699a
- new

